[arch-commits] Commit in gst-plugins-base/repos/extra-x86_64 (PKGBUILD PKGBUILD)
Jan Steffens
heftig at archlinux.org
Fri Jul 20 17:25:40 UTC 2018
Date: Friday, July 20, 2018 @ 17:25:39
Author: heftig
Revision: 329119
archrelease: copy trunk to extra-x86_64
Added:
gst-plugins-base/repos/extra-x86_64/PKGBUILD
(from rev 329118, gst-plugins-base/trunk/PKGBUILD)
Deleted:
gst-plugins-base/repos/extra-x86_64/PKGBUILD
----------+
PKGBUILD | 154 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 77 insertions(+), 77 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2018-07-20 17:25:20 UTC (rev 329118)
+++ PKGBUILD 2018-07-20 17:25:39 UTC (rev 329119)
@@ -1,77 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgbase=gst-plugins-base
-pkgname=(gst-plugins-base-libs gst-plugins-base)
-pkgver=1.14.1
-pkgrel=1
-pkgdesc="GStreamer Multimedia Framework Base Plugins"
-url="https://gstreamer.freedesktop.org/"
-arch=(x86_64)
-license=(LGPL)
-depends=(gstreamer orc libxv iso-codes libgudev mesa)
-makedepends=(alsa-lib cdparanoia libvisual libvorbis libtheora pango opus graphene libpng libjpeg
- gobject-introspection gtk-doc autoconf-archive git)
-checkdepends=(gtk3 qt5-base clutter sdl glu)
-options=(!emptydirs)
-_commit=d5a512b09fc491ee5ea7d5f6f5775c5a7da802b7 # tags/1.14.1^0
-source=("git+https://anongit.freedesktop.org/git/gstreamer/gst-plugins-base#commit=$_commit"
- "gst-common::git+https://anongit.freedesktop.org/git/gstreamer/common")
-sha256sums=('SKIP'
- 'SKIP')
-
-pkgver() {
- cd $pkgbase
- git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
- cd $pkgbase
-
- git submodule init
- git config --local submodule.common.url "$srcdir/gst-common"
- git submodule update
-
- NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
- cd $pkgbase
- ./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --libexecdir=/usr/lib \
- --with-package-name="GStreamer Base Plugins (Arch Linux)" \
- --with-package-origin="https://www.archlinux.org/" \
- --enable-experimental \
- --enable-gtk-doc \
- --disable-static
- sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
- make
-}
-
-check() {
- cd $pkgbase
- # GL tests need hardware
- make check || :
-}
-
-package_gst-plugins-base-libs() {
- pkgdesc="${pkgdesc/Plugins/Libraries}"
-
- cd $pkgbase
- make DESTDIR="$pkgdir" install
- make -C ext DESTDIR="$pkgdir" uninstall
-}
-
-package_gst-plugins-base() {
- depends=("gst-plugins-base-libs=$pkgver"
- alsa-lib cdparanoia libvisual libvorbis libtheora pango opus graphene libpng libjpeg)
-
- cd $pkgbase
- make -C gst-libs DESTDIR="$pkgdir" install
- make -C ext DESTDIR="$pkgdir" install
- make -C gst-libs DESTDIR="$pkgdir" uninstall
-}
Copied: gst-plugins-base/repos/extra-x86_64/PKGBUILD (from rev 329118, gst-plugins-base/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2018-07-20 17:25:39 UTC (rev 329119)
@@ -0,0 +1,77 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=gst-plugins-base
+pkgname=(gst-plugins-base-libs gst-plugins-base)
+pkgver=1.14.2
+pkgrel=1
+pkgdesc="GStreamer Multimedia Framework Base Plugins"
+url="https://gstreamer.freedesktop.org/"
+arch=(x86_64)
+license=(LGPL)
+depends=(gstreamer orc libxv iso-codes libgudev mesa)
+makedepends=(alsa-lib cdparanoia libvisual libvorbis libtheora pango opus graphene libpng libjpeg
+ gobject-introspection gtk-doc autoconf-archive git)
+checkdepends=(gtk3 qt5-base clutter sdl glu)
+options=(!emptydirs)
+_commit=24f097564657bd630e68931c932ec9fd992a3785 # tags/1.14.2^0
+source=("git+https://anongit.freedesktop.org/git/gstreamer/gst-plugins-base#commit=$_commit"
+ "gst-common::git+https://anongit.freedesktop.org/git/gstreamer/common")
+sha256sums=('SKIP'
+ 'SKIP')
+
+pkgver() {
+ cd $pkgbase
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ cd $pkgbase
+
+ git submodule init
+ git config --local submodule.common.url "$srcdir/gst-common"
+ git submodule update
+
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd $pkgbase
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib \
+ --with-package-name="GStreamer Base Plugins (Arch Linux)" \
+ --with-package-origin="https://www.archlinux.org/" \
+ --enable-experimental \
+ --enable-gtk-doc \
+ --disable-static
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+ make
+}
+
+check() {
+ cd $pkgbase
+ # GL tests need hardware
+ make check || :
+}
+
+package_gst-plugins-base-libs() {
+ pkgdesc="${pkgdesc/Plugins/Libraries}"
+
+ cd $pkgbase
+ make DESTDIR="$pkgdir" install
+ make -C ext DESTDIR="$pkgdir" uninstall
+}
+
+package_gst-plugins-base() {
+ depends=("gst-plugins-base-libs=$pkgver"
+ alsa-lib cdparanoia libvisual libvorbis libtheora pango opus graphene libpng libjpeg)
+
+ cd $pkgbase
+ make -C gst-libs DESTDIR="$pkgdir" install
+ make -C ext DESTDIR="$pkgdir" install
+ make -C gst-libs DESTDIR="$pkgdir" uninstall
+}
More information about the arch-commits
mailing list